<mat-card id="sizeRegisterForm" class="d-flex col-11 col-md-4 justify-content-center flex-column col-md-4 mt-2">
    <form (ngSubmit)="register()" class="col-12">
        <mat-card-header class="d-flex justify-content-center">
            <mat-card-title>
                <h2 class="text-center">S'enregistrer</h2>
            </mat-card-title>
            <mat-card-subtitle>
                <h5 class="text-center">Accéder à Gardens</h5>
            </mat-card-subtitle>
        </mat-card-header>
        <mat-card-content class=" align-items-center">
        <!--DEBUT Input de recuperation de l'email -->
                <mat-form-field class="col-12">
                    <div class="input-group input-group-lg">
                        <div class="input-group-prepend col-12">
                            <input matInput placeholder="Enter your email" class="col-12"  name="email" id="email-register" [(ngModel)]="user.email" required>
                              <button mat-icon-button matSuffix >
                                <mat-icon class="d-flex align-items-center">
                                    email
                                </mat-icon>
                            </button>
                        </div>
                    </div>
                    <mat-hint></mat-hint>

               
                     <!--FIN Input de recuperation de l'email -->

                </mat-form-field>
        
             <!-- DEBUT Input de recuperation du password -->
                <mat-form-field class="col-12">
                    <div class="input-group input-group-lg">
                        <div class="input-group-prepend col-12">
                            <input matInput placeholder="Enter your password" class="col-12"  name="password" id="password-register" [(ngModel)]="user.password"
                                [type]="hide ? 'password' : 'text'">
                            <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                                [attr.aria-pressed]="hide">
                                <mat-icon class="d-flex align-items-center">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                            </button>
                        </div>
                    </div>
                    <mat-hint></mat-hint>
                </mat-form-field>
                      <!-- FIN Input de recuperation du password -->

                    <!-- DEBUT Input de verification du password -->
                    <mat-form-field class="col-12">
                        <div class="input-group input-group-lg">
                            <div class="input-group-prepend col-12">
                                <input matInput placeholder="Repeat your password" class="col-12" name="repeat" id="repeat-register" [(ngModel)]="repeat"
                                    [type]="hide2 ? 'password' : 'text'">
                                <button mat-icon-button matSuffix (click)="hide2 = !hide2" [attr.aria-label]="'Hide2 password'"
                                    [attr.aria-pressed]="hide2">
                                    <mat-icon class="d-flex align-items-center">{{hide2 ? 'visibility_off' : 'visibility'}}</mat-icon>
                                </button>
                            </div>
                        </div>
                        <mat-hint></mat-hint>
                    </mat-form-field>
                     <!-- FIN Input de verification du password -->
    
        </mat-card-content>
        <mat-card-actions>
            <div class="d-flex justify-content-between">
                <button routerLink="" mat-button color="primary">Login</button>
                <button mat-raised-button color="primary" type="submit" [disabled]="!validForm()">Valider</button>
            </div>
        </mat-card-actions>
    </form>
</mat-card>